RNAlib-2.1.8

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
TwoDfold_vars Struct Reference

Variables compound for 2Dfold MFE folding. More...

Collaboration diagram for TwoDfold_vars:
[legend]

## Data Fields

paramT * | P
| Precomputed energy parameters and model details.
int | do_backtrack
| Flag whether to do backtracing of the structure(s) or not.
char * | ptype
| Precomputed array of pair types.
char * | sequence
| The input sequence.
short * | S1
| The input sequences in numeric form.
unsigned int | maxD1
| Maximum allowed base pair distance to first reference.
unsigned int | maxD2
| Maximum allowed base pair distance to second reference.
unsigned int * | mm1
| Maximum matching matrix, reference struct 1 disallowed.
unsigned int * | mm2
| Maximum matching matrix, reference struct 2 disallowed.
int * | my_iindx
| Index for moving in quadratic distancy dimensions.
unsigned int * | referenceBPs1
| Matrix containing number of basepairs of reference structure1 in interval [i,j].
unsigned int * | referenceBPs2
| Matrix containing number of basepairs of reference structure2 in interval [i,j].
unsigned int * | bpdist
| Matrix containing base pair distance of reference structure 1 and 2 on interval [i,j].

## Detailed Description

Variables compound for 2Dfold MFE folding.

See also:
  get_TwoDfold_variables(), destroy_TwoDfold_variables(), TwoDfoldList()

The documentation for this struct was generated from the following file:

- /home/mescalin/www/tbi/htdocs/RNA/ViennaRNA/H/data_structures.h